<?php

class Ubicacion extends CI_Controller
{

	public function __construct()
    {
        parent::__construct();
        
        $this->section = 'Ubicacione';
    }

    public function index()
    {
        try {

            //Permission::check(__METHOD__);

            if(is_null($this->session->userdata('usuario')))
            redirect('login');
        } catch (Exception $e) {
            go_error($e);
        }
    }

    public function getProvincia(){
        $this->load->model('Provincia_model');
        $var_data= $this->Provincia_model->getProvincia();
        $data=array();
        $tmp['CodProvincia']=0;
        $tmp['Provincia']='Seleccione';
        $arr[]=$tmp;
        foreach($var_data as $row) {
            $tmp['CodProvincia']=$row->CodProvincia;
            $tmp['Provincia']=$row->Provincia;
            $arr[]=$tmp;
        }
        echo json_encode($arr);
    }

    public function getDepartamento($CodProvincia){
        $this->load->model('Departamento_model');
        $var_data= $this->Departamento_model->getDepartamento($CodProvincia);
        $tmp['CodDepartamento']=0;
        $tmp['Departamento']='Seleccione';
        $arr[]=$tmp;
        foreach($var_data as $row) {
                $tmp['CodDepartamento']=$row->CodDepartamento;
                $tmp['Departamento']=$row->Departamento;
                $arr[]=$tmp;
        }       
        echo json_encode($arr);
    }

    public function getLocalidad($CodProvincia,$CodDepartamento){
        $this->load->model('Localidad_model');
        $var_data= $this->Localidad_model->getLocalidad($CodProvincia,$CodDepartamento);
        $data=array();
        $tmp['CodProvincia']=0;
        $tmp['Localidad']='Seleccione';
        $arr[]=$tmp;
                
        foreach($var_data as $row) {
            $tmp['CodLocalidad']=$row->CodLocalidad;
            $tmp['Localidad']=$row->Localidad;
            $arr[]=$tmp;
        }
        echo json_encode($arr);
    }

}