<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class CCT_model extends CI_Model {

	 
 	public function getCCT($CodCCT)
    {
        /*SELECT c.codcct, c.codcct, MAX(FechaDesde) AS UltimoConvenio
		FROM cct c
		LEFT JOIN cctconvenio c2 ON c.codcct=c2.codcct
		GROUP BY c.codcct;*/

        //$this->db->distinct();
        
        $this->db->select ('c.CodCCT, c.CCT, mostrar, DATE_FORMAT(MAX(FechaDesde), "%d/%m/%Y") AS UltimoConvenio');

        $this->db->from('cct c');
        $this->db->join('cctconvenio c2','c.CodCCT=c2.CodCCT', 'left');
        $this->db->where('c.FechaBaja is null');
		$this->db->where('c2.FechaBaja is null');
        if ($CodCCT==999){$this->db->where('mostrar=1'); }
        /*if ($CodCCT>=0){
 			$this->db->where('CodCCT='.$CodCCT);
 			
 			$query = $this->db->get();
            $result = $query->result();
            echo $this->db->last_query();
            return ($result ? reset($result) : array());
        }else
        {*/
        	
        	$this->db->group_by("c.codcct");
	        $this->db->order_by("CCT", "asc");
	        $query = $this->db->get();
        	//echo $this->db->last_query();
        	return $query->result();
	    //}
	}

	public function getunCodCCT($CodCCT)
    {
        $this->db->select ('IdCctConvenio, cct.CodCCT, cct.CCT, NumConvenio, Porcentaje, FechaDesde');

        $this->db->from('cct');
        $this->db->join('cctconvenio','cct.CodCCT=cctconvenio.CodCCT', 'left');
		$this->db->where('cct.CodCCT='.$CodCCT);
		$this->db->where('cctconvenio.FechaBaja is null');
		
		$query = $this->db->get();
        /*$result = $query->result();
        return ($result ? reset($result) : array());*/
        //echo $this->db->last_query();
        return $query->result();
    }


    public function getCodCCT($CodCCT)
    {
        
        $this->db->distinct();
        
        $this->db->select ('CodCCT');

        $this->db->from('cct');

        $this->db->where('CodCCT='.$CodCCT);

        $query = $this->db->get();
        //echo $this->db->last_query();
        
        return $query->num_rows();

    }

    public function grabarCCT($post)
    {   
        if($this->db->insert('cct', $post)){//echo $this->db->last_query();
        return $post['CodCCT'];}

        return false;
    }

    
	public function grabarCCTconvenio($post)
    {   
        if($this->db->insert('cctconvenio', $post)){//echo $this->db->last_query();
        return $this->db->insert_id();}

        return false;
    }



	public function eliminarCCT($CodCCT, $IdUsuario)
    {   
        $Fecha = date('Y-m-d H:i');
        $this->db->set('FechaBaja', "'".$Fecha."'", FALSE);
        $this->db->set('IdUsuarioBaja', $IdUsuario, FALSE);
        
        $this->db->where('CodCCT',$CodCCT);
        $str = $this->db->update('cct');
        //echo $this->db->last_query();
        return $str;
    }

    public function eliminarConvenio($IdCctConvenio, $IdUsuario)
    {   
        $Fecha = date('Y-m-d H:i');
        $this->db->set('FechaBaja', "'".$Fecha."'", FALSE);
        $this->db->set('IdUsuarioBaja', $IdUsuario, FALSE);
        
        $this->db->where('IdCctConvenio',$IdCctConvenio);
        $str = $this->db->update('cctconvenio');
        //echo $this->db->last_query();
        return $str;
    }

    public function mostrarConvenio($CodCCT){
        $query = $this->db->query("CALL spMostrarConvenio($CodCCT)");
        
        $result = array();
        
        if($query->num_rows() > 0){
            $result = $query->result_array();
            $query->next_result();
            $query->free_result();
        }
        
        return $result[0];
        
        
    }

    

}
