<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Log_model extends CI_Model {

 	public function get($id_usuario = null)
    {
        $this->db->from('usuarioLogs ul');
        $this->db->join('usuario u', 'ul.IdUsuario = u.IdUsuario', 'left');
        $this->db->join('usuarioaplicativo ua', 'ua.IdUsuario = u.IdUsuario AND ua.IdAplicativo = ul.IdAplicativo', 'left');
        $this->db->join('Rol r', 'r.IdRol = ua.IdRol AND r.IdAplicativo = ua.IdAplicativo', 'left');
        $this->db->where('ul.IdAplicativo', ID_APLICATIVO);

        if($id_usuario)
            $this->db->where('ul.IdUsuario', $id_usuario);
        
        $this->db->order_by('ul.FechaHora','DESC');

        $query = $this->db->get();

        //pre($this->db->last_query());
     
        return $query->result();
    }

    public function getById($id_log)
    {
        $this->db->select('CAST(ul.Parametros AS TEXT) AS Parametros');
        $this->db->from('usuariologs ul');
        $this->db->join('usuario u', 'ul.IdUsuario = u.IdUsuario', 'left');
        $this->db->where('ul.IdAplicativo', ID_APLICATIVO);
        $this->db->where('ul.IdLog', $id_log);
        
        $query = $this->db->get();

        //pre($this->db->last_query());
     
        $result = $query->result();

        return ($result ? reset($result) : array());
    }

    public function insert($action, $tabla, $IdTabla)
    {
        $ipAddress = $_SERVER['REMOTE_ADDR'];
        
        
        $parametros = array();
       /* $parametros['SESSION'] = ($_SESSION ? $_SESSION : null);*/
        $parametros['REQUEST'] = ($_REQUEST ? $_REQUEST : null);
        
        
        //$this->session->userdata('IdUsuario');

        $post = array();
        //$post['Parametros'] = base64_encode(gzcompress(serialize($parametros),9));
        $post['Action'] = $action;
        $post['Tabla'] = $tabla;
        $post['IdTabla'] = $IdTabla;
        $post['IdUsuario'] = $this->session->userdata('IdUsuario');
        $post['Parametros'] = serialize($parametros);
        
        
        //$post = setUtf8Decode($post);
        $this->db->insert('usuariologs', $post);
            
        //var insertLogs= $this->db->insert('usuariologs', $post);
        //echo $this->db->last_query();
        /*$sess = ($this->session->userdata() && $this->session->userdata('usuario') ? $this->session->userdata('usuario')->IdUsuario : false);*/


        /*if(!$sess)
            return;

        $ipAddress = $_SERVER['REMOTE_ADDR'];
        if (array_key_exists('HTTP_X_FORWARDED_FOR', $_SERVER)) {
            $ipAddress = array_pop(explode(',', $_SERVER['HTTP_X_FORWARDED_FOR']));
        }

        $parametros = array();
        $parametros['SESSION'] = ($_SESSION ? $_SESSION : null);
        $parametros['REQUEST'] = ($_REQUEST ? $_REQUEST : null);

        

        $parametros['FILES'] = ($_FILES ? $_FILES : null);
        $parametros['COOKIE'] = ($_COOKIE ? $_COOKIE : null);

        $post = array();
        $post['IdUsuario'] = $sess;
        $post['IdAplicativo'] = ID_APLICATIVO;
        $post['Accion'] = $action; //$_SERVER['HTTP_REFERER'];
        $post['IP'] = $ipAddress;
        $post['Metodo'] = $_SERVER['REQUEST_METHOD'];
        $post['Parametros'] = base64_encode(gzcompress(serialize($parametros),9));
        $post['FechaHora'] = date('Y-m-d H:i:s');

        $post = setUtf8Decode($post);
        
        if($this->db->insert('UsuarioLogs', $post))
        
        $return_id = $this->db->insert_id();

        if(!$return_id)
            throw new Exception("No se pudo crear el log de usuario");

        return $return_id;*/
    }

}



/*
 [IdLog]
,[IdUsuario]
,[IdAplicativo]
,[Accion]
,[IP]
,[Metodo]
,[Parametros]
,[FechaHora]
FROM [Desa].[dbo].[UsuarioLogs]
  */

