<section class="content">
  <div class="row"> 
    <div class="col-xs-12">
      <div class="row">
        <div class="form-group col-xs-6">
          <label>Empresa</label>
                                                    
          <select id="cboCodEmpresaFiltroAfiliado" class="selectpicker form-control" name="CodEmpresa" data-live-search="true" data-live-search-style="begins" title="Seleccione">
          </select>
        </div>
        <div class="form-group col-xs-2">
          <label>Estado</label>
                                                    
          <select id="cboEstadoAfiliadoFiltro" name="EstadoAfiliadoFiltro" class="selectpicker" multiple data-live-search="true">
              </select>
        </div>
      </div>
      <div class="box">
          <div class="box-header">
            <h3 class="box-title">Afiliados</h3>

            <button type="button" id="btnNuevoAfiliado" class="btn btn-primary" data-toggle="modal" data-target=".bs-Pacientemodal">Nuevo</button> 

            <button type="button" id="btnEditarAfiliado" class="btn btn-primary" data-toggle="modal" data-target=".bs-Pacientemodal">Editar</button> 

            <button type="button" id="btnFamiliar" class="btn btn-primary" data-toggle="modal" data-target=".bs-Familiarmodal">Grupo Familiar</button> 

            <button type="button" id="btnEliminarActivarAfiliado" class="btn btn-primary" data-toggle="modal" data-target=".bs-Familiarmodal">Cambiar Estado</button> 

            <button type="button" id="btnCambioEmpresaAfiliado" class="btn btn-primary" data-toggle="modal" data-target=".bs-Familiarmodal">Cambio Empresa</button> 


          </div>
          <div id="listadoAfiliado" class="box-body">
        
          </div>
      </div>
    </div>
  </div> 

<!-- Modal -->
<div class="modal fade" id="modalAfiliado" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Afiliado</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          <form id='frmAfiliado' method='post' action='Afiliado/grabarAfiliado'>
            <div class="form-group col-xs-12">
              <input class="form-control" name="IdAfiliado" id="txtIdAfiliadoAfil">
              <input class="form-control" name="IdEmpresa" id="txtIdEmpresa" maxlength="4"  type="hidden">
              <label class="control-label col-xs-12">Razón Social</label>
              <input class="form-control" name="RazonSocial" id="txtRazonSocial" maxlength="100" readonly>
            </div>
            <ul class="nav nav-tabs">
              <li class="active">
                <a  href="#tabPersonales" data-toggle="tab">Datos Afiliado</a>
              </li>
              <li><a href="#tabUbicacion" data-toggle="tab">Domicilio Afiliado</a>
              </li>
              <li><a href="#tabObservaciones" data-toggle="tab">Observaciones</a>
              </li>
              <li><a href="#tabHistCambioEmpresa" data-toggle="tab">HistCambioEmpresa</a>
              </li>
            </ul>

            <div class="tab-content ">
              <div class="tab-pane active" id="tabPersonales">
                <div class="form-group row col-xs-3">
                  <label>Tipo</label>
                  <select class="form-control form-control-sm" id="cboCodTipoDocum" name="CodTipoDocum">
                  </select>                              
                </div>
                <div class="form-group col-xs-9">
                  <label>Nro. Documento</label>
                  <input class="form-control form-control-sm" name="NroDocum" id="txtNroDocum" maxlength="8" type="number">
                </div>
                <div class="form-group row col-xs-6">
                  <label>Apellido</label>
                  <input class="form-control form-control-sm" name="Apellido" id="txtApellido" maxlength="50">
                </div>
                <div class="form-group col-xs-6">
                  <label>Nombre</label>
                  <input class="form-control form-control-sm" name="Nombre" id="txtNombre" maxlength="50">
                </div>
                <div class="form-group row col-xs-4">
                  <label>Fecha Ingreso</label>
                  <input class="form-control form-control-sm" name="FechaIngreso" type="date" id="txtFechaIngreso">
                </div>
                <div class="form-group col-xs-4">
                  <label>CUIL</label>
                  <input class="form-control form-control-sm" name="CUIL" id="txtCUIL" maxlength="11" type="number">
                </div>
                <div class="form-group col-xs-4">
                  <label>Nº Interno</label>
                  <input class="form-control form-control-sm" name="NroInterno" id="txtNroInterno" maxlength="6" type="number">
                </div>
                <div class="form-group row col-xs-4">
                  <label>Est. Civil</label>
                  <select class="form-control form-control-sm" id="cboCodEstadoCivil" name="CodEstadoCivil">
                  </select>                              
                </div>
                <div class="form-group col-xs-3">
                  <label>Sexo</label>
                  <select class="form-control form-control-sm" id="cboCodSexo" name="CodSexo">
                  </select>                              
                </div>
                <div class="form-group col-xs-5">
                  <label>Fecha Nacimiento</label>
                  <input class="form-control form-control-sm" type="date" name="FechaNacimiento" id="txtFechaNacimiento"  >
                </div>
                <div class="form-group row col-xs-4">
                  <label class="col-sm-6">Sindicato</label>
                  <div class="col-sm-6">
                    <div class="form-check">
                      <input class="form-check-input" type="radio" name="Sindicato" id="radSindicato1" value="1">
                      <label class="form-check-label" for="gridRadios1">Si</label>
                    </div>
                  <div class="form-check">
                    <input class="form-check-input" type="radio" name="Sindicato" id="radSindicato2" value="0" checked>
                    <label class="form-check-label" for="gridRadios2">No</label>
                  </div>
                  </div>
                </div>
  
                <div class="form-group row col-xs-4">
                    <label class="col-sm-6">ObraSocial</label>
                  <div class="col-sm-6">
                    <div class="form-check">
                      <input class="form-check-input" type="radio" name="ObraSocial" id="radObraSocial1" value="1">
                      <label class="form-check-label" for="gridRadios1">Si</label>
                    </div>
                    <div class="form-check">
                      <input class="form-check-input" type="radio" name="ObraSocial" id="radObraSocial0" value="0" checked>
                      <label class="form-check-label" for="gridRadios2">No</label>
                    </div>
                  </div>
                </div>
                <div class="form-group row col-xs-4">
                    <label>Porcentaje</label>
                      <select class="form-control form-control-sm" id="cboPorcentaje" name="Porcentaje">
                        <option value="0">Seleccione</option>
                        <option value="2">2 %</option>
                        <option value="3">3 %</option>
                        <option value="4">4 %</option>
                    </select>                              
                </div>
              </div> <!--cierre del primer tab -->
              <div class="tab-pane" id="tabUbicacion">
                <div class="form-group row col-xs-6">
                  <label>Provincia</label>
                  <select class="form-control form-control-sm" id="cboCodProvincia" name="CodProvincia">
                  </select>
                </div>
                <div class="form-group col-xs-6">
                  <label>Departamento</label>
                  <select class="form-control form-control-sm" id="cboCodDepartamento" name="CodDepartamento">
                  </select>                              
                </div>
                <div class="form-group row col-xs-6">
                  <label>Localidad</label>
                  <select class="form-control form-control-sm" id="cboCodLocalidad" name="CodLocalidad">
                  </select>
                </div>
                <div class="form-group col-xs-6">
                  <label>Localidad</label>
                  <input class="form-control form-control-sm" name="Localidad" id="txtLocalidad" maxlength="60" disabled="true">
                </div>
                <div class="form-group row col-xs-6">
                  <label>Calle</label>
                  <input class="form-control form-control-sm" name="Calle" id="txtCalle" maxlength="100">
                </div>
                <div class="form-group col-xs-3">
                  <label>Nro.</label>
                  <input class="form-control form-control-sm" name="NumeroCalle" id="txtNumeroCalle" maxlength="20">
                </div>
                <div class="form-group row col-xs-6">
                  <label>Telefono 1</label>
                  <input class="form-control form-control-sm" name="Telefono1" id="txtTelefono1" maxlength="50">
                </div>
                <div class="form-group col-xs-6">
                  <label>Telefono 2</label>
                  <input class="form-control form-control-sm" name="Telefono2" id="txtTelefono2" maxlength="50">
                </div>
                <div class="form-group row col-xs-3">
                  <label>CodigoPostal</label>
                  <input class="form-control form-control-sm" name="CodigoPostal" id="txtCodigoPostal" maxlength="10">
                </div>
                <div class="form-group col-xs-3">
                  <label>Plan</label>
                  <input class="form-control form-control-sm" name="Plan" id="txtPlan" maxlength="255">
                </div>
                <div class="form-group col-xs-6">
                  <label>e-mail</label>
                  <input class="form-control form-control-sm" name="email" id="txtEmail" maxlength="50">
                </div>
              </div><!-- cierre 2do tab -->
              <div class="tab-pane" id="tabObservaciones"> 
                <div class="form-group row col-xs-12">
                  <!--<label>Observaciones</label>
                  <input class="form-control form-control-sm" name="Observaciones" id="txtObservaciones" maxlength="255">-->
                  <div id="ListadoAfiliadoObservaciones">

                </div>
                <div class="row">
                  <div class="panel col-xs-12">
                    <div class="form-group row col-xs-6">
                      <label>Fecha</label>
                      <input class="form-control form-control-sm" name="FechaAfiliadoObservaciones" type="date" id="txtFechaAfiliadoObservaciones">
                    </div>
                    <div class="form-group row col-xs-12">
                      <label>Observaciones</label>
                      <input class="form-control form-control-sm" name="DetalleAfiliadoObservaciones" maxlength="300" id="txtDetalleAfiliadoObservaciones">
                    </div>
                  </div>
                </div>
                </div>
                <div class="form-group row col-xs-4">
                  <button type="submit" id="btnGrabarAfiliado" class="btn btn-primary" data-toggle="modal" data-target=".bs-Pacientemodal">Grabar</button>
                  <button type="button" id="btnEliminarObservacionAfiliado" class="btn btn-primary" data-toggle="modal" data-target=".bs-Pacientemodal">Eliminar Observacion</button> 
                </div> 
              </div>
              <div class="tab-pane" id="tabHistCambioEmpresa">
                <div class="form-group row col-xs-12">
                  <!--<label>Observaciones</label>
                  <input class="form-control form-control-sm" name="Observaciones" id="txtObservaciones" maxlength="255">-->
                  <div id="ListadoHistorialCambioEmpresa">

                  </div>
                </div>
              </div>
            </div><!-- cierre tab content -->
          </form>
      </div>
      <div class="modal-footer">
        
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="modalAfiliadoBajaActivar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">

          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id='frmAfiliadoBajaActivar' method='post' action='Afiliado/bajaActivarAfiliado'>
          <div class="form-group row col-xs-12">
            
            <label>Afiliado</label>
            
            <input class="form-control form-control-sm" name="IdAfiliadoBajaActivar" id="txtIdAfiliadoBajaActivar">
            <input class="form-control form-control-sm" name="NombreAfiliadoBajaActivar" id="txtNombreAfiliadoBajaActivar" maxlength="100">
          </div>
          <div class="form-group row col-xs-12">
            <label>Empresa</label>
            <input class="form-control form-control-sm" name="IdEmpresaAfiliadoBajaActivar" id="txtIdEmpresaAfiliadoBajaActivar">
            <input class="form-control form-control-sm" name="EmpresaAfiliadoBajaActivar" id="txtEmpresaAfiliadoBajaActivar" maxlength="100">
          </div>
          <div class="form-group row col-xs-6">
            <label>Fecha</label>
            <input class="form-control form-control-sm" name="FechaBajaActivar" type="date" id="txtFechaBajaActivar">
          </div>
          <div class="form-group col-xs-6">
                    <label>Estado</label>
                      <select class="form-control form-control-sm" id="cboEstadoNuevo" name="EstadoNuevo">
                    </select>                              
                </div>
          <div class="form-group row col-xs-12">
            <label>Observaciones</label>
            
            <textarea class="form-control" name="ObservBajaActivarAfiliado" id="txtObservBajaActivarAfiliado" rows="3" maxlength="200"></textarea>
          </div>
          <div class="form-group row col-xs-12">
          <button type="submit" id="btnBajaActivarAfiliado" class="btn btn-primary" data-toggle="modal" data-target=".bs-Pacientemodal">Grabar</button>
        </div>
        </form>
      </div>
      <div class="modal-footer">
        
      </div>
    </div>  
  </div>
</div>


<div class="modal fade" id="modalAfiliadoCambioEmpresa" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="CambioEmpresaEmpleado">Afiliado Cambio Empresa</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">

          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id='frmAfiliadoCambioEmpresa' method='post' action='Afiliado/CambioEmpresaAfiliado'>
          <div class="form-group row col-xs-12">
            
            <label>Afiliado</label>
            
            <input class="form-control form-control-sm" name="IdAfiliadoCambioEmpresa" id="txtIdAfiliadoCambioEmpresa">
            <input class="form-control form-control-sm" name="NombreAfiliadoCambioEmpresa" id="txtNombreAfiliadoCambioEmpresa" maxlength="100">
          </div>
          <div class="form-group row col-xs-12">
            <label>Empresa</label>
            <input class="form-control form-control-sm" name="IdEmpresaAfiliadoCambioEmpresaAnterior" id="txtIdEmpresaAfiliadoCambioEmpresaAnterior">
            <input class="form-control form-control-sm" name="EmpresaAfiliadoCambioEmpresaAnterior" id="txtEmpresaAfiliadoCambioEmpresaAnterior" maxlength="100">
          </div>
          
          <div class="form-group row col-xs-12">
              <label>Empresa</label>
                                                    
              <select id="cboCodEmpresaCambioEmpresaAfiliadoActual" class="selectpicker form-control" name="IdAfiliadoCambioEmpresaActual" data-live-search="true" data-live-search-style="begins" title="Seleccione">
              </select>
          </div>
          <div class="form-group row col-xs-6">
            <label>Fecha</label>
            <input class="form-control form-control-sm" name="FechaCambioEmpresa" type="date" id="txtFechaCambioEmpresa">
          </div>
          <div class="form-group row col-xs-12">
            <label>Observaciones</label>
            
            <textarea class="form-control" name="ObservCambioEmpresaAfiliado" id="txtObservCambioEmpresaAfiliado" rows="3" maxlength="200"></textarea>
          </div>
          <div class="form-group row col-xs-12">
          <button type="submit" id="btnCambioEmpresaAfiliado" class="btn btn-primary" data-toggle="modal" data-target=".bs-Pacientemodal">Grabar</button>
        </div>
        </form>
      </div>
      <div class="modal-footer">
        
      </div>
    </div>  
  </div>
</div>

<div class="modal fade" id="modalFamiliar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title-familiar" id="exampleModalLabel">Familiares</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="panel col-lg-12">
        <div id="ListadoFamiliar">

        </div>
      </div>
      <div class="row">
        <div class="panel col-xs-12">

          <form id='frmFamiliar' method="POST" action="./Familiar/grabarFamiliar">
            <div class="form-group row col-xs-2">
              <label>Tipo</label>
              <select class="form-control form-control-sm" id="cboCodTipoDocumFam" name="CodTipoDocumFam">
              </select>                              
            </div>
            <div class="form-group col-xs-4">
              <label>Documento</label>
              <input type="number" class="form-control form-control-sm" name="NroDocumFam" id="txtNroDocumFam" maxlength="8">
            </div>
            <div class="form-group col-xs-6">
              <label>Parentesco</label>
              <select class="form-control form-control-sm" id="cboCodParentescoFam" name="CodParentescoFam">
              </select>                              
            </div>

            <div class="form-group row col-xs-4">
              <label>Apellido</label>
              <input class="form-control form-control-sm" name="ApellidoFam" id="txtApellidoFam" maxlength="50">
            </div>
            <div class="form-group col-xs-4">
              <label>Nombre</label>
              <input class="form-control form-control-sm" name="NombreFam" id="txtNombreFam" maxlength="50">
            </div>
            <div class="form-group col-xs-4">
                  <label>Sexo</label>
                  <select class="form-control form-control-sm" id="cboCodSexoFam" name="CodSexoFam">
                  </select>                              
            </div>
            <div class="form-group row col-xs-6">
              <label>Fecha Nacimiento</label>
              <input class="form-control form-control-sm" name="FechaNacimientoFam" type="date" id="txtFechaNacimientoFam">
            </div>
            <div class="form-group col-xs-6">
              <label>Fecha Vencimiento</label>
              <input class="form-control form-control-sm" name="FechaVencimientoFam" type="date" id="txtFechaVencimientoFam">
            </div>
            <div class="form-group row col-xs-12">
              <label>Observaciones</label>
              <input class="form-control form-control-sm" name="ObservacionesFam" maxlength="100" id="txtObservacionesFam">
            </div>
          </div>
        </div>
        <div class="row">
          <div class="panel col-xs-12">
            <div class="form-group row col-xs-2">
              <button type="button" id="btnNuevoFamiliar" class="btn btn-primary" data-toggle="modal" data-target=".bs-Pacientemodal">Nuevo</button> 
            </div>
            <div class="form-group col-xs-2">  
              <button type="button" id="btnEliminarFamiliar" class="btn btn-primary" data-toggle="modal" data-target=".bs-Pacientemodal">Eliminar</button>
            </div>
            <div class="form-group col-xs-2">  
              <input class="form-control form-control-sm" name="IdFamiliar" id="txtIdFamiliar" maxlength="8" type="hidden">
            </div>
            <div class="form-group col-xs-2">                    
              <input class="form-control form-control-sm" name="IdAfiliadoFam" id="txtIdAfiliadoFam" maxlength="8" type="hidden">
            </div>
            <div class="form-group col-xs-4">  
              <button type="submit" id="btnGrabarFamiliar" class="btn btn-primary" data-toggle="modal" data-target=".bs-Pacientemodal">Grabar</button>
            </div>
        </div>
      </div>
    </form>
      <div class="modal-footer">
        
      </div>
    </div>
  </div>
</div>

         
</section>