<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Afiliado extends CI_Controller {

    public function __construct()
    {
        parent::__construct();

        if(is_null($this->session->userdata('usuario')))
            redirect('login');

        $this->arrCampos = array(0 =>"IdAfiliado", 1 => "IdEmpresa", 2 =>"CodTipoDocum", 3 =>"NroDocum", 4 =>"Apellido", 5 =>"Nombre", 6 =>"FechaIngreso", 7 =>"CUIL", 8 =>"CodEstadoCivil", 9 =>"NroInterno", 10 =>"CodSexo", 11 =>"FechaNacimiento", 12 =>"ObraSocial", 13 =>"Sindicato", 14 =>"Porcentaje", 15 =>"CodProvincia", 16 =>"CodDepartamento", 17 =>"CodLocalidad", 18 =>"Localidad", 19 =>"Calle", 20 =>"NumeroCalle", 21 =>"Telefono1", 22 =>"Telefono2", 23 =>"CodigoPostal", 24 =>"Plan", 25 =>"email", 26 =>"Observaciones", 27 =>"CodEstadoAfiliado", 28 =>"IdEmpresa", 29=>"RazonSocial");
        
       /* if(is_null($this->session->userdata('logged_in')))
            redirect('login');

        $this->section = "Programa Nacional de Detección Temprana y Atención de la Hipoacusia";*/
    }

	public function index()
	{
        if(is_null($this->session->userdata('usuario')))
            redirect('login');  

        try {

            Permission::check(__METHOD__);
		
            $data['content'] = $this->load->view('afiliado/vAfiliado', null, true);

            $this->load->view('template', $data);
            
	       } catch (Exception $e) {
            go_error($e);
        }	
	}

    public function getEstado(){
        $this->load->model('Afiliado_model');
        $var_data= $this->Afiliado_model->getEstado();
        $data=array();
        /*$tmp['IdEmpresa']=0;
        $tmp['RazonSocial']='Seleccione';*/
        //$arr[]=$tmp;
        foreach($var_data as $row) {
            $tmp['CodEstado']=$row->CodEstado;
            $tmp['Estado']=$row->Estado;
            $arr[]=$tmp;
        }
        echo json_encode($arr);
    }

    public function getTipoDocum(){
        $this->load->model('Afiliado_model');
        $var_data= $this->Afiliado_model->getTipoDocum();
        $data=array();
        /*$tmp['IdEmpresa']=0;
        $tmp['RazonSocial']='Seleccione';*/
        //$arr[]=$tmp;
        foreach($var_data as $row) {
            $tmp['CodTipoDocum']=$row->CodTipoDocum;
            $tmp['TipoDocum']=$row->TipoDocum;
            $arr[]=$tmp;
        }
        echo json_encode($arr);
    }

    public function getEstadoCivil(){
        $this->load->model('Afiliado_model');
        $var_data= $this->Afiliado_model->getEstadoCivil();
        $data=array();
        foreach($var_data as $row) {
            $tmp['CodEstadoCivil']=$row->CodEstadoCivil;
            $tmp['EstadoCivil']=$row->EstadoCivil;
            $arr[]=$tmp;
        }
        echo json_encode($arr);
    }

    public function getSexo(){
        $this->load->model('Afiliado_model');
        $var_data= $this->Afiliado_model->getSexo();
        $data=array();
        foreach($var_data as $row) {
            $tmp['CodSexo']=$row->CodSexo;
            $tmp['Sexo']=$row->Sexo;
            $arr[]=$tmp;
        }
        echo json_encode($arr);
    }
    

    public function getEmpresa(){
        $this->load->model('Empresa_model');
        $var_data= $this->Empresa_model->getEmpresas(0,0,0,0,1,1,0);
        $data=array();
       /* $tmp['IdEmpresa']=0;
        $tmp['RazonSocial']='Seleccione';
        $arr[]=$tmp;*/
        foreach($var_data as $row) {
            $tmp['IdEmpresa']=$row->IdEmpresa;
            $tmp['RazonSocial']=$row->RazonSocial;
            $tmp['Sucursal']=$row->Sucursal;
            $tmp['Localidad']=$row->Localidad;
            $tmp['CantAfiliados']=$row->CantAfiliados;
            
            $arr[]=$tmp;
        }
        echo json_encode($arr);
    }


    public function getAfiliado($IdEmpresa, $IdAfiliado, $Estado){


        $this->load->model('Afiliado_model');
       // $arr=array();
        
        $var_data= $this->Afiliado_model->getAfiliadoListado($IdEmpresa,$IdAfiliado,$Estado);
        
        $data=array();
        $tmp=array();
        $arr=array();
        if($IdAfiliado==0){
            foreach($var_data as $row) {
                $arr[]= array($row->IdAfiliado,$row->IdEmpresa,$row->Estado,$row->NroInterno, $row->NroDocum,$row->Apellido,date("d/m/Y", strtotime($row->FechaIngreso)),$row->ObraSocial,$row->Sindicato, $row->Porcentaje, $row->CantFamiliares);
                        
            }
            echo json_encode($arr);
        }else
        {
            foreach($var_data as $row) {
                foreach ($this->arrCampos as $clave => $valor) {
                    $tmp[$valor]=$row->$valor;
                }
                $arr[]=$tmp;
                echo json_encode($arr);

            }
        }

    }

public function getAfiliadoListadoEmpresa($IdEmpresa, $IdAfiliado, $Estado){


        $this->load->model('Afiliado_model');
       // $arr=array();
        
        $var_data= $this->Afiliado_model->getAfiliadoListado($IdEmpresa,$IdAfiliado,$Estado);
        
        $data=array();
        $tmp=array();
        $arr=array();
        if($IdAfiliado==0){
            foreach($var_data as $row) {
                $arr[]= array($row->IdAfiliado,$row->NroInterno, $row->NroDocum,$row->Apellido . ' ' .$row->Nombre, $row->CantFamiliares);
                        
            }
            echo json_encode($arr);
        }else
        {
            foreach($var_data as $row) {
                foreach ($this->arrCampos as $clave => $valor) {
                    $tmp[$valor]=$row->$valor;
                }
                $arr[]=$tmp;
                echo json_encode($arr);

            }
        }

    }

    public function getObservaciones($IdAfiliado){
        $this->load->model('Afiliado_model');
        $arr=array();
        
        
        if ($IdAfiliado>=1){
            $var_data= $this->Afiliado_model->getObservaciones($IdAfiliado);
            //print_r()
            foreach($var_data as $row) {
                $arr[] = array($row->Id, date("d/m/Y", strtotime($row->Fecha)),$row->Detalle,$row->Usuario);
            }
        }else{
            $arr[0] = '';$arr[1] = '';$arr[2] = '';$arr[3] = '';
            $arr=array($arr);
        }

        echo json_encode($arr);
    }

    public function getHistorialCambioEmpresa($IdAfiliado){
        $this->load->model('Afiliado_model');
        $arr=array();
        
        
        if ($IdAfiliado>=1){
            $var_data= $this->Afiliado_model->getHistorialCambioEmpresa($IdAfiliado);
            //print_r()
            foreach($var_data as $row) {
                $arr[] = array($row->Id, $row->RazonSocial,date("d/m/Y", strtotime($row->FechaDesde)),$row->Usuario);
            }
        }else{
            $arr[0] = '';$arr[1] = '';$arr[2] = '';$arr[3] = '';
            $arr=array($arr);
        }

        echo json_encode($arr);
    }

    public function getAfiliadoTipoDocumNroDocum(){
        
        if (strlen($_POST['IdAfiliado'])>=1){
                $json['valid'] = true;
        }else{
            if(is_null($_POST['CodTipoDocum']) or is_null($_POST['NroDocum'])){$json['valid'] = false;echo json_encode($json);}
            $this->load->model('Afiliado_model');
            $cantAfiliado= $this->Afiliado_model->getAfiliadoTipoDocumNroDocum($_POST['CodTipoDocum'],$_POST['NroDocum']);
            if($cantAfiliado == 0)
            {
                $json['valid'] = true;
            }
            else
            {
                $json['valid'] = false;
                
            }
        }

        echo json_encode($json);

    }

    public function grabarAfiliado(){
        
        if(is_null($this->session->userdata('usuario')))
            redirect('login');
        try {
            Permission::check(__METHOD__);


            $result = array();
            if($this->input->post())
                {   
                if($this->input->post('IdAfiliado')==0){
                    $this->load->model('Afiliado_model');
                    $post = $this->input->post();
                    $FechaAfiliadoObservaciones=$this->input->post('FechaAfiliadoObservaciones');
                    $DetalleAfiliadoObservaciones=$this->input->post('DetalleAfiliadoObservaciones');
                    $post['Estado']=1;
                    unset($post['FechaAfiliadoObservaciones']);
                    unset($post['DetalleAfiliadoObservaciones']);
                    unset($post['tablaAfiliadoObservaciones_length']);
                    unset($post['RazonSocial']);
                    unset($post['tablaHistorialCambioEmpresa_length']);
                    
                    
                    $IdAfiliado = $this->Afiliado_model->grabarAfiliado($post);
                    if($IdAfiliado==0) echo json_encode(array("IdAfiliado" => 0));
                    add_log('Alta', 'Afiliado', $IdAfiliado);
                    $result[] = array("IdAfiliado" => $IdAfiliado);
                    
                    if(!$IdAfiliado && strlen($DetalleAfiliadoObservaciones)>0){echo json_encode(array("IdAfiliado" => 0));}
                    else{
                        $dataObservacion = [
                            'IdAfiliado' => $IdAfiliado,
                            'Fecha' => $FechaAfiliadoObservaciones,
                            'Detalle' => $DetalleAfiliadoObservaciones,
                            'IdUsuario' => $this->session->userdata('IdUsuario')
                            ];
                        $this->Afiliado_model->addObservacion($dataObservacion); 
                    }
                    $dataHistorial = [
                            'IdAfiliado' => $IdAfiliado,
                            'IdEmpresa' => $post['IdEmpresa'],
                            'Estado'=> 1,
                            'FechaDesde' => date('Y-m-d H:i'),
                            'FechaHasta' => '3000-12-31',
                            'FechaAlta' => date('Y-m-d H:i'),
                            'IdUsuarioAlta' => $this->session->userdata('IdUsuario')
                            ];
                    $this->Afiliado_model->addHistorial($dataHistorial); 

                    echo json_encode($result);
                }else{
                    $this->load->model('Afiliado_model');
                
                    $post = $this->input->post();
                    $FechaAfiliadoObservaciones=$this->input->post('FechaAfiliadoObservaciones');
                    $DetalleAfiliadoObservaciones=$this->input->post('DetalleAfiliadoObservaciones');
                    unset($post['FechaAfiliadoObservaciones']);
                    unset($post['DetalleAfiliadoObservaciones']);
                    unset($post['tablaAfiliadoObservaciones_length']);
                    unset($post['RazonSocial']);
                    $IdAfiliado=$this->input->post('IdAfiliado');
                
                    $IdAfiliado=$this->Afiliado_model->editarAfiliado($post,$IdAfiliado);
                
                    if($IdAfiliado==0) echo json_encode(array("IdAfiliado" => 0));

                    $dataObservacion = [
                            'IdAfiliado' => $IdAfiliado,
                            'Fecha' => $FechaAfiliadoObservaciones,
                            'Detalle' => $DetalleAfiliadoObservaciones,
                            'IdUsuario' => $this->session->userdata('IdUsuario')
                            ];
                    
                    if(strlen($FechaAfiliadoObservaciones>0)){
                        $this->Afiliado_model->addObservacion($dataObservacion);
                    }
                
                    $result[] = array("IdAfiliado" => $IdAfiliado);
                    add_log('Modificacion', 'Afiliado', $IdAfiliado);
                    echo json_encode($result);
                }
            
            }

            } catch (Exception $e) {
                $result[] = array("IdAfiliado" => $e->getMessage());
                echo json_encode($result);
            
        }
    }     

    public function eliminarAfiliado($IdAfiliado){

        if(is_null($this->session->userdata('usuario')))
            redirect('login');
        try {
            Permission::check(__METHOD__);

            $result = array();
            $this->load->model('Afiliado_model');
            $var_data= $this->Afiliado_model->eliminar($IdAfiliado);
            add_log('Eliminar', 'Afiliado', $IdAfiliado);
            echo json_encode($var_data);
            } catch (Exception $e) {
                $result[] = array("IdAfiliado" => $e->getMessage());
                echo json_encode($result);
            
        }

    }

    public function eliminarobservacion($IdObservacion){

        if(is_null($this->session->userdata('usuario')))
            redirect('login');
         try {
            Permission::check(__METHOD__);

            $result = array();
            $this->load->model('Afiliado_model');
            $var_data= $this->Afiliado_model->eliminarObservacion($IdObservacion,$this->session->userdata('IdUsuario'));
            echo json_encode($var_data);
        } catch (Exception $e) {
            add_log('EliminarObservAfiliado', 'afiliado_observaciones', $IdObservacion);
            
            echo $e->getMessage();
        }   

    }

    
    public function CambioEmpresaAfiliado(){

        if(is_null($this->session->userdata('usuario')))
            redirect('login');
        try {
            Permission::check(__METHOD__);

            $result = array();
            if($this->input->post())
                {   
                    $this->load->model('Afiliado_model');
                    $post = $this->input->post();
                    unset($post['NombreAfiliadoCambioEmpresa']);
                    unset($post['EmpresaAfiliadoCambioEmpresaAnterior']);
                    $var_data[]=$this->Afiliado_model->CambioEmpresaAfiliado($post);
                    /*$this->db->reconnect();*/
                    //add_log('CambioEmpresa', 'Afiliado', $post['IdAfiliadoCambioEmpresa']);
                    
                    echo json_encode($var_data);
                }
            } catch (Exception $e) {
                $result[] = array("IdAfiliado" => $e->getMessage());
                echo json_encode($result);
            
        }

    }

    public function bajaActivarAfiliado(){
        if(is_null($this->session->userdata('usuario')))
            redirect('login');
        try {
            //Permission::check(__METHOD__);
    
            $result = array();
            if($this->input->post())
                {   

                   /* $post['IdUsuarioAlta']=$this->session->userdata('IdUsuario');
                    $post['FechaAlta']=date('Y-m-d H:i');*/

                    $this->load->model('Afiliado_model');
                    $post = $this->input->post();

                    unset($post['NombreAfiliadoBajaActivar']);
                    unset($post['EmpresaAfiliadoBajaActivar']);
                    $var_data=$this->Afiliado_model->bajaActivarAfiliado($post);
                    //add_log('bajaActivar', 'Afiliado', $post['IdAfiliadoBajaActivar']);
                    echo json_encode($var_data);


                    //echo $var_data['@ERROR'];
                }
            } catch (Exception $e) {
                $result[] = array("IdAfiliado" => $e->getMessage());
                echo json_encode($result);
            
        }
    }


    
}

