<?php


class Aporte extends CI_Controller
{

	private $arrCampos;

	public function __construct()
    {
        parent::__construct();

        if(is_null($this->session->userdata('usuario')))
            redirect('login');

	
		$this->arrCamposTabla = array(0 =>"IdEmpresa", 2 =>"CUIT", 3 =>"RazonSocial", 4 =>"Anio", 5 =>"Mes", 6 =>"Importe");

     	/*IdAporte, IdEmpresa, CUIT, Sucursal, Anio, Mes, FechaPago, FechaAcreditacion, 
			Importe, IdTipoAporte, DDJJ, IdUsuarioAlta, FechaAlta*/

 		/*$this->arrCampos = array(0 =>"id", 1 =>"cuitex", 2 =>"cuit", 3 =>"cuota", 4 =>"remuneracion", 5 =>"aporte1", 6 =>"planfondo", 7 =>"fechaaporte1", 8 =>"diferenciafondo", 9 =>"fiscalfondo", 10 =>"juiciofondo", 11 =>"fiscal", 12 =>"sindicato", 13 =>"fechasindicato", 14 =>"sindicatobco", 15 =>"fechasindicatobco", 16 =>"plansindicato", 17 =>"diferenciasindicato", 18 =>"juiciosindicato",   19 =>"fiscalsindicato", 20 =>"obrasocial", 21 =>"fechaobrasocial", 22 =>"contribucion", 23 =>"aporte", 24 =>"otacred", 25 =>"fechaotacred", 26 =>"diferenciaobrasocial", 27 =>"fiscalobrasocial", 28 =>"planobrasocial", 29 =>"observaciones", 30 =>"tresporciento", 31 =>"fechatresporciento", 32 =>"plantresporciento", 33 =>"diferenciatres", 34 =>"juiciotres",   35 =>"fiscaltres", 36 =>"minima", 37 =>"juicio", 38 =>"moratoria", 39 =>"sinempleados", 40 =>"cambioobra", 41 =>"aportes2001", 42 =>"fecha2001", 43 =>"tresbco", 44 =>"fechatresbco", 45 =>"fondobco", 46 =>"fechafondobco", 47 =>"nrorecibosindicato", 48 =>"nrorecibofondo", 49 =>"nrorecibotres", 50 =>"remuneracionsindicato", 51 =>"remuneraciontres", 52 =>"remuneracionobra", 53 =>"idempresa", 54 =>"fechagrabacion", 55 =>"otros", 56 =>"fechaotros", 57 =>"otrosbco",   58 =>"fechaotrosbco", 59 =>"ddjj", 60 =>"RazonSocial");*/

     	//print_r($this->arrCampos);
    }

	public function index(){

        try {

            Permission::check(__METHOD__);


			/*$this->load->model('Empresa_model');
			$data['query'] = $this->Empresa_model->getEmpresa();*/

			$data['content'] = $this->load->view('aporte/vAporte', null, true);

        	$this->load->view('template', $data);

        	

			//var_dump($data);
			//$this->load->view("vPrueba",$data);
			/*$arrCampos=array(0 =>"IdEmpresa", 1 =>"RazonSocial", 2 =>"CodProvincia", 3 =>"CodDepartamento", 4 =>"CodLocalidad", 5 =>"Domicilio", 6 =>"DeclaracionJurada", 7 =>"FING", 8 =>"CUITEX", 9 =>"CUIT", 10 =>"CodCCT", 11 =>"CodConvenio", 12 =>"Actividad", 13 =>"Baja", 14 =>"BajaObraSocial", 15 =>"Observaciones", 16 =>"Telefono", 17 =>"Opcion", 18 =>"NroEmp", 19 =>"Adherente", 20 =>"Imprimir", 21 =>"Alias", 22 =>"NroSindicato", 23 =>"NroFondo", 24 =>"NroTres", 25 =>"EstadoEmpresa", 26 =>"Mail", 27 =>"CodigoPostal", 28 =>"Estudio", 29 =>"EstudioContacto", 30 =>"EstudioHorario", 31 =>"EstudioDireccion", 32 =>"EstudioTelefono", "EstudioMail", 33 =>"MotivoBaja", 34 =>"FechaGrabacion", 35 =>"CUITalias", 36 =>"SinPersonal", 37 =>"DeclaracionJuradacuota", "CodSindicato", 38 =>"CodFondo" , 39 =>"CodUsufructo", 40 =>"CodOtros", 41 =>"Sucursal", 42 =>"Partido", 43 =>"Localidad", 44 =>"CCT");*/
	     	} catch (Exception $e) {
            go_error($e);
        }


	}

	public function getAporte($IdAporte){

		try {

        	Permission::check(__METHOD__);
			$this->load->model('Aporte_model');
			$arr="";
			$var_data= $this->Aporte_model->getAporte($IdAporte);
	
		foreach($var_data as $row) {
            $tmp['IdAporte']=$row->IdAporte;
            $tmp['IdEmpresa']=$row->IdEmpresa;
            $tmp['CUIT']=$row->CUIT;
            $tmp['Sucursal']=$row->Sucursal;
            $tmp['RazonSocial']=$row->RazonSocial;
            $tmp['Anio']=$row->Anio;
			$tmp['Mes']=$row->Mes;
			$tmp['FechaDeposito']=$row->FechaDeposito;
			$tmp['FechaAcreditacion']=$row->FechaAcreditacion;
			$tmp['ImporteSindicato']=$row->ImporteSindicato;
			$tmp['ImporteFondoExtra']=$row->ImporteFondoExtra;
			$tmp['ImporteConvenio']=$row->ImporteConvenio;
			$tmp['ImporteEstimadoSindicato']=$row->ImporteEstimadoSindicato;
			$tmp['ImporteEstimadoFondoExtra']=$row->ImporteEstimadoFondoExtra;
			$tmp['ImporteEstimadoConvenio']=$row->ImporteEstimadoConvenio;
			$tmp['ImporteOtro']=$row->ImporteOtro;
			$tmp['DetalleOtro']=$row->DetalleOtro;
			$tmp['DDJJ']=$row->DDJJ;
			$tmp['Accion']="";
			
			$arr[]=$tmp;
        }					
		echo json_encode($arr);
     	} catch (Exception $e) {
            go_error($e);
       }

	}		
    public function getEmpresa(){		        
	$this->load->model('Aporte_model');
        $var_data= $this->Aporte_model->getEmpresas();        $data=array();        foreach($var_data as $row) {            $tmp['IdEmpresa']=$row->IdEmpresa;            $tmp['RazonSocial']=$row->RazonSocial;            $tmp['Sucursal']=$row->Sucursal;            $tmp['Localidad']=$row->Localidad;            $tmp['CantAfiliados']=$row->CantAfiliados;            $arr[]=$tmp;        }        echo json_encode($arr);    }
	public function getAportes($IdEmpresaAporte, $PeriodoAporte, $MesAporte,$FiltroFecha){

		try {

        	Permission::check(__METHOD__);
			$this->load->model('Aporte_model');
			$arr="";
			$var_data= $this->Aporte_model->getAportes($IdEmpresaAporte,$PeriodoAporte,$MesAporte,$FiltroFecha);
		

			foreach($var_data as $row) {
							
				$arr[] = array($row->IdAporte, $row->IdEmpresa,$row->RazonSocial,$row->Anio, $row->Mes,$row->ImporteSindicato, $row->ImporteFondoExtra, $row->ImporteConvenio,$row->ImporteOtro,$row->ImporteSindicato+$row->ImporteFondoExtra+$row->ImporteConvenio+$row->ImporteOtro,date("d/m/Y", strtotime($row->FechaAcreditacion)));

				
					
				//date("d/m/Y", strtotime($row->FechaDeclaracionJurada)),
			
			}
			echo json_encode($arr);
     	} catch (Exception $e) {
            go_error($e);
        }


	}		

	public function getMontosEstimados($IdEmpresaAporte, $anio, $mes){
			
		try {

        	Permission::check(__METHOD__);
			$this->load->model('Aporte_model');
			$arr="";
			$var_data= $this->Aporte_model->getMontosEstimados($IdEmpresaAporte, $anio, $mes);

			foreach($var_data as $row) {
				$tmp['Cuota']=$row->Cuota;
    	        $tmp['ImporteSindicato']=$row->ImporteSindicato;
        	    $tmp['ImporteFondoExtra']=$row->ImporteFondoExtra;
            	$tmp['ImporteConvenio']=$row->ImporteConvenio;
            	$arr[]=$tmp;
			}
			echo json_encode($arr);
		} catch (Exception $e) {
            go_error($e);
        }

	}

	public function getArchivo($Archivo){

		print_r($Archivo);
	}		

	public function getPeriodo(){
	
		$this->load->model('Aporte_model');

		$var_data= $this->Aporte_model->getPeriodo();
        $data=array();
        $tmp['Periodo']=0;
        $arr[]=$tmp;
        //echo $tmp['Periodo'];
        foreach($var_data as $row) {
            $tmp['Periodo']=$row->Periodo;
            $arr[]=$tmp;
        }
        echo json_encode($arr);

    }


	public function getEmpresaId($IdEmpresa){
	

		try {

        Permission::check(__METHOD__);
		$this->load->model('Aporte_model');

		$var_data= $this->Aporte_model->getEmpresaId($IdEmpresa);
        $arr=array();
        foreach($var_data as $row) {
        	$tmp['CUIT']=$row->CUIT;
        	$tmp['Sucursal']=$row->Sucursal;
            $tmp['RazonSocial']=$row->RazonSocial;
            $arr[]=$tmp;
        }
        echo json_encode($arr);
        } catch (Exception $e) {
            go_error($e);
        }
    }

    public function getEmpresaCUITSucursal($CUIT,$Sucursal){
	
		try {

        	Permission::check(__METHOD__);
			$this->load->model('Aporte_model');

			$var_data= $this->Aporte_model->getEmpresaCUITSucursal($CUIT,$Sucursal);
        	$arr=array();
        	foreach($var_data as $row) {
        		$tmp['IdEmpresa']=$row->IdEmpresa;
            	$tmp['RazonSocial']=$row->RazonSocial;
            	$arr[]=$tmp;
        	}
        	echo json_encode($arr);
        } catch (Exception $e) {
            go_error($e);
        }
    }

    /*public function getEmpresaCUITSucursalValidar($CUIT,$Sucursal){
	
		$this->load->model('Aporte_model');

		$query= $this->Aporte_model->getEmpresaCUITSucursal($CUIT,$Sucursal);*/
        //echo $query->num_rows();

        /*if(count($arr) == 0)
			{
    			$json['valid'] = true;
		}
		else
			{
    			$json['valid'] = false;
			}

			echo json_encode($json);*/

        
    //}

    public function getEmpresaIdEmpresaAnioMes(){

    	try {

        	Permission::check(__METHOD__);
			$this->load->model('Aporte_model');
			$cantAporte=0;
		
			if (trim($_POST['IdEmpresa']) and trim($_POST['Anio']) and trim($_POST['Mes'])){
			
				$var_data= $this->Aporte_model->getEmpresaIdEmpresaAnioMes($_POST['IdEmpresa'], $_POST['Anio'], $_POST['Mes']);
			
				$arr=array();
        		foreach($var_data as $row) {
        			$tmp['IdAporte']=$row->IdAporte;
        			if ($row->IdAporte>=1){
            				$tmp['Anio']=$row->Anio;
            				$tmp['Mes']=$row->Mes;
            				$tmp['FechaDeposito']=$row->FechaDeposito;
            				$tmp['ImporteSindicato']=$row->ImporteSindicato;
            				$tmp['ImporteFondoExtra']=$row->ImporteFondoExtra;
            				$tmp['ImporteConvenio']=$row->ImporteConvenio;
            		}
            		$arr[]=$tmp;
	        	}
    	    	echo json_encode($arr);
        	}
		} catch (Exception $e) {
            go_error($e);
        }

	}


	public function getTipoAporte(){

		try {

        	Permission::check(__METHOD__);
			$this->load->model('Aporte_model');
			$var_data= $this->Aporte_model->getTipoAporte();
			$data=array();
			//var_dump($var_data);
			foreach($var_data as $row) {
				$sub_array=array();
				$sub_array[]=$row->CodTipoAporte;
				$sub_array[]=$row->TipoAporte;
				$sub_array[]=$row->IdTipoAporte;
				$data[]=$sub_array;
			}		
    		echo json_encode($data);
    	} catch (Exception $e) {
            go_error($e);
        }
	}
	
	/*public function getAporteEstimado($CUIT,$Sucursal,$Periodo,$Mes){

		echo $CUIT;
		echo $Sucursal;
		echo $Periodo;
		echo $Mes;
	}*/

	public function eliminarAporte($IdAporte){

		try {

        	Permission::check(__METHOD__);
			$this->load->model('Aporte_model');
        	$var_data=$this->Aporte_model->eliminarAporte($IdAporte, $this->session->userdata('IdUsuario'));
        	add_log('Eliminar', 'Aporte', $IdAporte);
			echo json_encode($var_data);
		} catch (Exception $e) {
            go_error($e);
        }

	}

	public function uploadFile(){

		try {
			print_r($_POST['archivo']);		
		}
		catch (Exception $e) {
            go_error($e);
        }

	}

	
	public function grabarAporte(){

		try {

        	Permission::check(__METHOD__);
			$result = array();
			if($this->input->post())
			{
				$this->load->model('Empresa_model');/*juan*/
				$var_data= $this->Empresa_model->getCantidadAfiliados($this->input->post('IdEmpresa'));


				foreach($var_data as $row) {
					
					$AfiliadosSindicato=$row->AfiliadosSindicato;
					$AfiliadosObraSocial=$row->AfiliadosObraSocial;
					$AfiliadosPorcentaje=$row->AfiliadosPorcentaje;
					$nroafiliados=$row->nroafiliados;

				}

				if($this->input->post('IdAporte')==0){

					$this->load->model('Aporte_model');
					$post = $this->input->post();
					$post['IdUsuarioAlta']=$this->session->userdata('IdUsuario');
					$post['FechaAlta']=date('Y-m-d H:i');
					$post['AfiliadosSindicato']=$AfiliadosSindicato;
					$post['AfiliadosObraSocial']=$AfiliadosObraSocial;
					$post['AfiliadosPorcentaje']=$AfiliadosPorcentaje;
					$post['nroafiliados']=$nroafiliados;
					$post['CUIT']=substr($post['Registro'], 0,strpos($post['Registro'], ","));

					unset($post['RazonSocial']);
				
					$IdAporte = $this->Aporte_model->grabarAporte($post);
					$result[] = array("IdAporte" => $IdAporte);
					add_log('Nuevo', 'Aporte', $IdAporte);
					
					echo json_encode($result);
				
				}else{
					$this->load->model('Aporte_model');
				
					$post = $this->input->post();
					$IdAporte=$this->input->post('IdAporte');
					unset($post['RazonSocial']);
					$post['FechaMod']=date('Y-m-d H:i');
					$post['AfiliadosSindicato']=$AfiliadosSindicato;
					$post['AfiliadosObraSocial']=$AfiliadosObraSocial;
					$post['AfiliadosPorcentaje']=$AfiliadosPorcentaje;
					$post['nroafiliados']=$nroafiliados;
					
					$IdAporte=$this->Aporte_model->editarAporte($post,$IdAporte);
								
					if($IdAporte==0) echo json_encode(array("IdAporte" => 0));
					$result[] = array("IdAporte" => $IdAporte);
					add_log('Modificacion', 'Aporte', $IdAporte);
					echo json_encode($result);
				}

    			
			}
		} catch (Exception $e) {
            go_error($e);
        }

	}
	
	public function getReporteAporteMesEmpresa($periodo,$ArrayTipoIngreso){
/**/
		//$ArrayTipoIngreso=[1,2,3];
		try {

			$this->load->model('Aporte_model');
			$arr="";
			$var_data= $this->Aporte_model->getReporteAporteMesEmpresa($periodo,$ArrayTipoIngreso);
	
		/*foreach($var_data as $row) {
            $tmp['Empresa']=$row->RazonSocial;
            /*$tmp['Enero']=$row->Enero;
            $tmp['Febrero']=$row->Febrero;
            $arr[]=$tmp;
        }*/
        /*foreach($var_data as $row) {
							
				$arr[] = array($row->RazonSocial,$row->Enero,$row->Febrero,$row->Marzo, $row->Abril,$row->Mayo,$row->Junio, $row->Julio, $row->Agosto,$row->Septiembre,$row->Octubre,$row->Noviembre,$row->Diciembre,$row->TotalAnual);
			}					*/
		echo json_encode($var_data);
		
     	} catch (Exception $e) {
            go_error($e);
       }

	}
}