<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class CCTcategorias_model extends CI_Model {


    public function getCCT($CodCCT)
    {
        
        /*$this->db->select('"-1" as CodCCT, "Seleccione" as cct');
        $this->db->from('cct');
        
        
        $this->db->select ('CodCCT, cct');

        $this->db->from('cct');

        $this->db->where('CodCCT in (select CodCCT from cctCategorias group by CodCCT)');
        
        $this->db->order_by("cct", "asc");

        $query2 = $this->db->get();*/

        $query = $this->db->query("SELECT -1 as CodCCT, 'Seleccione' as cct UNION SELECT `CodCCT`, `cct` FROM `cct` WHERE `CodCCT` in (select CodCCT from cctcategorias group by CodCCT)");
        //echo $this->db->last_query();
        return $query->result();
              
    }

    public function getUnCCT($CodCCT)
    {
        $this->db->select ('CCT');

        $this->db->from('cct');

        $this->db->where('CodCCT='.$CodCCT);        
        
        $query = $this->db->get();
        //echo $this->db->last_query();
        return $query->result();
    }

    public function getCategoriaSueldos($IdCategoria)
    {
        
        $this->db->select ('Categoria');

        $this->db->from('cctcategorias');

        $this->db->where('IdCategoria='.$IdCategoria);        
        
        $query = $this->db->get();
        //echo $this->db->last_query();
        return $query->result();
    }

    public function getListadoCategoriaSueldos($IdCategoria)
    {
        
        $this->db->select ('IdCategoria, SueldoBasicoCategoria, FechaDesdeSueldoCategoria, FechaHastaSueldoCategoria');

        $this->db->from('cctsueldobasicocategoria');

        $this->db->where('IdCategoria='.$IdCategoria);     
        $this->db->where('FechaBaja is null');   
        
        $query = $this->db->get();
        //echo $this->db->last_query();
        return $query->result();
    }

 	public function getCCTcategorias($CodCCT, $IdCategoria=0)
    {
        /*SELECT c.codcct, c.codcct, MAX(FechaDesde) AS UltimoConvenio
		FROM cct c
		LEFT JOIN cctconvenio c2 ON c.codcct=c2.codcct
		GROUP BY c.codcct;*/

        //$this->db->distinct();
        
        $this->db->select ('IdCategoria, cat.CodCCT, cat.Categoria');

        $this->db->from('cctcategorias cat');

        $this->db->where('CodCCT='.$CodCCT);
        if ($IdCategoria>0){$this->db->where('IdCategoria='.$IdCategoria);}        
        $this->db->where('cat.FechaBaja is null');
        $this->db->order_by("IdCategoria", "asc");
        $query = $this->db->get();
        //echo $this->db->last_query();
        	return $query->result();
	    
	}

    public function getCCTadicionales($CodCCT, $IdCategoria=0)
    {
        $this->db->select ("IdAdicional, IF(Porcentaje is null, concat(Adicional, ' ($', MontoFijo,')'), concat(Adicional, ' (', Porcentaje, '%)')) as Adicional");

        $this->db->from("cctadicional");

        $this->db->where("CodCCT=".$CodCCT);

        $this->db->where("CURDATE() BETWEEN AdicionalDesde AND AdicionalHasta");
        
        
        /*if ($IdCategoria>0){$this->db->where('IdCategoria='.$IdCategoria);}        
        $this->db->where('cat.FechaBaja is null');
        $this->db->order_by("IdCategoria", "asc");*/
        $query = $this->db->get();
        
        return $query->result();
        
    }

	
   
	public function grabarCCTcategoria($post)
    {   
        if($this->db->insert('cctcategorias', $post)){//echo $this->db->last_query();
        return $this->db->insert_id();}

        //return false;
    }

    


    public function updateCategoria($IdCategoria, $IdUsuario, $Categoria){

        $this->db->set('Categoria', "'".$Categoria."'", FALSE);
        $this->db->where('IdCategoria',$IdCategoria);
        $str = $this->db->update('cctcategorias');
        return $str;
    }


	public function eliminarCategoria($IdCategoria, $IdUsuario)
    {   
        $Fecha = date('Y-m-d H:i');
        $this->db->set('FechaBaja', "'".$Fecha."'", FALSE);
        $this->db->set('IdUsuarioBaja', $IdUsuario, FALSE);
        
        $this->db->where('IdCategoria',$IdCategoria);
        $str = $this->db->update('cctcategorias');
        //echo $this->db->last_query();
        return $str;
    }


    public function grabarSueldoBasicoCategoria($post)
    {   
        if($this->db->insert('cctsueldobasicocategoria', $post)){//echo $this->db->last_query();
        return true;
        }

        //return false;
    }

    public function updateSueldoBasicoCategoria($IdCategoria, $SueldoBasicoCategoria, $FechaDesdeSueldoCategoria,$FechaHastaSueldoCategoria){


        $this->db->set('SueldoBasicoCategoria', $SueldoBasicoCategoria, FALSE);
        $this->db->set('FechaHastaSueldoCategoria', "'".$FechaHastaSueldoCategoria."'", FALSE);
        $this->db->where('IdCategoria',$IdCategoria);
        $this->db->where('FechaDesdeSueldoCategoria',$FechaDesdeSueldoCategoria);
        $str = $this->db->update('cctsueldobasicocategoria');
       // echo $this->db->last_query();
        return $str;
    }

public function eliminarSueldoBasicoCategoria($IdCategoriaSueldoBasico, $FechaDesdeSueldoBasicoCategoria)
    {   
        //$IdEmpresa=540;
        $Fecha = date('Y-m-d H:i');
        $this->db->set('FechaBaja', "'".$Fecha."'", FALSE);
        $this->db->where('IdCategoria',$IdCategoriaSueldoBasico);
        $this->db->where('FechaDesdeSueldoCategoria',$FechaDesdeSueldoBasicoCategoria);
        $str = $this->db->update('cctsueldobasicocategoria');
        
        return $str;
    }    


    
public function getCCTcalcularSueldo($CodigoCCT, $IdCat, $anioRecibo, $mesRecibo,$FechaIngreso,$Afiliado,$Vacaciones,$Adicionales){ 

    $query = $this->db->query("call calculadosueldoestimado (".$CodigoCCT.", ". $IdCat.", ". $anioRecibo.", ". $mesRecibo.", '".$FechaIngreso."', ".$Afiliado.",".$Vacaciones.", '".$Adicionales ."')");
    $result = array();
    if($query->num_rows() > 0)
    $result = $query->result_array();
    return $query->result();

    } 



   

}
