<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Familiar extends CI_Controller {

    public function __construct()
    {
        parent::__construct();

        if(is_null($this->session->userdata('usuario')))
            redirect('login');

        $this->arrCampos = array(0 =>"IdFamiliar", 1 => "IdAfiliadoFam", 2 =>"ApellidoFam", 3 =>"NombreFam", 4 =>"CodParentescoFam", 5 =>"CodTipoDocumFam", 6 =>"NroDocumFam", 7 =>"FechaNacimientoFam", 8 =>"FechaVencimientoFam", 9=>"ObservacionesFam", 10=>"CodSexoFam");
        
    }

	public function index()
	{

		
	}

       public function getParentesco(){
        $this->load->model('Familiar_model');
        $var_data= $this->Familiar_model->getParentesco();
        $data=array();
        /*$tmp['IdEmpresa']=0;
        $tmp['RazonSocial']='Seleccione';*/
        //$arr[]=$tmp;
        foreach($var_data as $row) {
            $tmp['CodParentesco']=$row->CodParentesco;
            $tmp['Parentesco']=$row->Parentesco;
            $arr[]=$tmp;
        }
        echo json_encode($arr);
    }

    



    public function getFamiliar($IdFamiliar,$IdAfiliadoFam){


        $this->load->model('Familiar_model');
        $arrFam="";
        $var_dataFam= $this->Familiar_model->getFamiliar($IdFamiliar,$IdAfiliadoFam);

        $dataFam=array();
        $tmpFam=array();

        if($IdFamiliar==0){
              foreach($var_dataFam as $row) {
                
                $arrFam[]= array($row->IdFamiliar,$row->IdAfiliadoFam,$row->NroDocumFam,$row->ApellidoFam,$row->Parentesco,date("d/m/Y", strtotime($row->FechaNacimientoFam,$row->CodSexoFam)));

                //0 =>"IdFamiliar", 1 => "IdAfiliadoFam", 2 =>"NombreFam", 3 =>"CodParentescoFam", 4 =>"CodTipoDocumFam", 5 =>"NroDocumFam", 6 =>"FechaNacimientoFam", 7 =>"FechaVencimientoFam"
                                
            }    echo json_encode($arrFam); 
        }else{
            foreach($var_dataFam as $row) {
                foreach ($this->arrCampos as $clave => $valor) {
                    $tmpFam[$valor]=$row->$valor;
                }
                $arrFam[]=$tmpFam;
                echo json_encode($arrFam);

            }
        
        }
    }

    public function grabarFamiliar(){

        if(is_null($this->session->userdata('usuario')))
            redirect('login');
        try {
            //Permission::check(__METHOD__);

            $result = array();
            if($this->input->post())
                {   
                if($this->input->post('IdFamiliar')==0){
                    $this->load->model('Familiar_model');
                    $post = $this->input->post();
                    $IdFamiliar = $this->Familiar_model->add($post);
                                    
                    //if(!$IdFamiliar) echo json_encode(array("IdFamiliar" => 0));
                    
                    $result[] = array("IdFamiliar" => $IdFamiliar);
                    add_log('Alta', 'Familiar', $IdFamiliar);
                    echo json_encode($result);
                }else{
                    $this->load->model('Familiar_model');
                
                    $post = $this->input->post();
                    $IdFamiliar=$this->input->post('IdFamiliar');
                
                    $IdFamiliar=$this->Familiar_model->edit($post,$IdFamiliar);
                
                    //if($IdFamiliar==0) echo json_encode(array("IdFamiliar" => 0));
                
                    $result[] = array("IdFamiliar" => $IdFamiliar);
                    add_log('Modificacion', 'Familiar', $IdFamiliar);
                    echo json_encode($result);
                    }
                }
            }
            catch (Exception $e) {
                $result[] = array("IdAfiliado" => $e->getMessage());
                echo json_encode($result);
        }
    }   

    public function eliminarFamiliar($IdFamiliar, $IdAfiliadoFam){

        if(is_null($this->session->userdata('usuario')))
            redirect('login');
        try {
            //Permission::check(__METHOD__);
            $result = array();
            $this->load->model('Familiar_model');
            $var_dataFam= $this->Familiar_model->eliminar($IdFamiliar,$IdAfiliadoFam);
            echo json_encode($var_dataFam);
        } catch (Exception $e) {
                $result[] = array("IdAfiliado" => $e->getMessage());
                echo json_encode($result);
            
        }
    }
    
}
