<?php





class Empresa extends CI_Controller

{



	private $arrCampos;



	public function __construct()

    {

        parent::__construct();





        if(is_null($this->session->userdata('usuario')))

            redirect('login');



	

		$this->arrCamposTabla = array(0 =>"IdEmpresa", 2 =>"CUIT", 3 =>"RazonSocial", 4 =>"DeclaracionJurada", 5 =>"CCT", 6 =>"Actividad", 7 =>"Domicilio", 8 =>"Localidad", 13 =>"Baja");



     	$this->arrCampos = array(0 =>"IdEmpresa", 1 =>"CUIT", 2 =>"Sucursal", 3 =>"RazonSocial", 4 =>"CodProvincia", 5 =>"CodDepartamento", 6 =>"CodLocalidad", 7 =>"Calle", 8 =>"NumeroCalle", 9 =>"Domicilio", 10 =>"FechaIngreso", 11 =>"FechaDeclaracionJurada", 12 =>"CodCCT", 13 =>"Actividad", 14 =>"Telefono", 15 =>"TelefonoOtro", 16 =>"Email", 17 =>"CodigoPostal", 18 =>"Estudio", 19 =>"EstudioContacto", 20 =>"EstudioHorario", 21 =>"EstudioDireccion", 22 =>"EstudioTelefono", 23 =>"EstudioMail", 24 =>"Lat", 25 =>"Lng", 26 =>"Provincia", 27 =>"Departamento", 28 =>"Localidad", 29 =>"CCT");



     	//print_r($this->arrCampos);

    }



	public function index(){



		if(is_null($this->session->userdata('usuario')))

            redirect('login');			

		try {



            Permission::check(__METHOD__);



            //Permission::check(__METHOD__);



			$data['content'] = $this->load->view('empresa/vEmpresa', null, true);



        	$this->load->view('template', $data);



        	//print $this->session->userdata('Perfil');



        } catch (Exception $e) {

            go_error($e);

        }







	}



	public function getListadoEmpresa($controlEstado,$CantEmpleados){

		//print $this->session->userdata('IdUsuario');

		if(is_null($this->session->userdata('usuario')))

            redirect('login');

        try {	

        	$this->load->model('Empresa_model');

				$arr="";

		

				$var_data= $this->Empresa_model->getListadoEmpresa($controlEstado,$CantEmpleados);

				

		

				foreach($var_data as $row) {

							

						$arr[] = array($row->IdEmpresa,$row->CUIT,$row->Sucursal,$row->RazonSocial,date("d/m/Y", strtotime($row->FechaDeclaracionJurada)),$row->CCT,$row->Actividad, $row->Domicilio, $row->Localidad, $row->CantAfiliados);

						

				}

				echo json_encode($arr);

        } catch (Exception $e) {

            go_error($e);

        }

	}


public function getEmpresa(){

        $this->load->model('Empresa_model');
        $var_data= $this->Empresa_model->getEmpresas(0,0,0,0,1,0,0);
        $data=array();
        foreach($var_data as $row) {
            $tmp['IdEmpresa']=$row->IdEmpresa;
            $tmp['RazonSocial']=$row->RazonSocial;
            $tmp['Sucursal']=$row->Sucursal;
            $tmp['Localidad']=$row->Localidad;
            $tmp['CantAfiliados']=$row->CantAfiliados;
            $arr[]=$tmp;
        }
        echo json_encode($arr);
    }



	public function getEmpresas($controlProvincia, $controlDepartamento, $controlLocalidad, $CodCCT,$CantEmpleados, $Estado, $IdEmpresa){

		//print $this->session->userdata('IdUsuario');

		if(is_null($this->session->userdata('usuario')))

            redirect('login');

        try {	

				$this->load->model('Empresa_model');

				$arr="";

		

				$var_data= $this->Empresa_model->getEmpresas($controlProvincia, $controlDepartamento, $controlLocalidad, $CodCCT, $CantEmpleados, $Estado, $IdEmpresa);

		

				$data=array();

				$tmp=array();

		

				foreach($var_data as $row) {

							

					if ($IdEmpresa==0){

						$arr[] = array($row->IdEmpresa,$row->CUIT,$row->Sucursal,$row->RazonSocial,date("d/m/Y", strtotime($row->FechaDeclaracionJurada)),$row->CCT,$row->Actividad, $row->Domicilio, $row->Localidad, $row->CantAfiliados);

						//$output[] = array ($row->IdEmpresa,$row->CUIT,$row->RazonSocial,,$row->Actividad, $row->Domicilio , $row->Localidad ,$row->Baja);

						/*foreach ($this->arrCamposTabla as $clave => $valor) {

							array_push($tmpAux, $row->$valor);

							

						}*/

					}else{

						foreach ($this->arrCampos as $clave => $valor) {

							$tmp[$valor]=$row->$valor;

						}

						$arr[]=$tmp;

					}	

				}



				echo json_encode($arr);

			} catch (Exception $e) {

            		go_error($e);

        	}

	}



	public function getObservaciones($IdEmpresa){



		if(is_null($this->session->userdata('usuario')))

            redirect('login');

        try {	

				$this->load->model('Empresa_model');

				$arr=array();

		

		

				if ($IdEmpresa>=1){

					$var_data= $this->Empresa_model->getObservaciones($IdEmpresa);

					//print_r()

					foreach($var_data as $row) {

						$arr[] = array($row->Id, date("d/m/Y", strtotime($row->Fecha)),$row->Detalle,$row->Usuario);

					}

				}else{

					$arr[0] = '';$arr[1] = '';$arr[2] = '';$arr[3] = '';

					$arr=array($arr);

				}



				echo json_encode($arr);

			} catch (Exception $e) {

            go_error($e);

        	}

	}



	public function grabarEmpresa(){

		if(is_null($this->session->userdata('usuario')))

            redirect('login');

        try {



            Permission::check(__METHOD__);



			$result = array();

			if($this->input->post())

			{	

				if($this->input->post('IdEmpresa')==0){

					$this->load->model('Empresa_model');

					$post = $this->input->post();

					$post['IdUsuarioAlta']=$this->session->userdata('IdUsuario');

					$post['FechaAlta']=date('Y-m-d');

					$FechaEmpresaObservaciones=$this->input->post('FechaEmpresaObservaciones');

					$DetalleEmpresaObservaciones=$this->input->post('DetalleEmpresaObservaciones');

					unset($post['FechaEmpresaObservaciones']);

					unset($post['DetalleEmpresaObservaciones']);

					unset($post['tablaEmpresaObservaciones_length']);

					

					$IdEmpresa = $this->Empresa_model->grabarEmpresa($post);

					$result[] = array("IdEmpresa" => $IdEmpresa);



					if($IdEmpresa && strlen($DetalleEmpresaObservaciones)>4){

						$dataObservacion = [

            				'IdEmpresa' => $IdEmpresa,

            				'Fecha' => $FechaEmpresaObservaciones,

            				'Detalle' => $DetalleEmpresaObservaciones,

            				'IdUsuario' => $this->session->userdata('IdUsuario')

        					];

						$this->Empresa_model->addObservacion($dataObservacion);	

					}

					



					add_log('Nueva', 'Empresa', $IdEmpresa);

					echo json_encode($result);



				}else{

					$this->load->model('Empresa_model');

				

					$post = $this->input->post();

					$IdEmpresa=$this->input->post('IdEmpresa');

					$post['FechaModificacion']=date('Y-m-d H:i:s');

					$FechaEmpresaObservaciones=$this->input->post('FechaEmpresaObservaciones');

					$DetalleEmpresaObservaciones=$this->input->post('DetalleEmpresaObservaciones');

					unset($post['FechaEmpresaObservaciones']);

					unset($post['DetalleEmpresaObservaciones']);



					

					$IdEmpresa=$this->Empresa_model->editarEmpresa($post,$IdEmpresa);

								

					if($IdEmpresa==0) echo json_encode(array("IdEmpresa" => 0));

						

						$dataObservacion = [

            				'IdEmpresa' => $IdEmpresa,

            				'Fecha' => $FechaEmpresaObservaciones,

            				'Detalle' => $DetalleEmpresaObservaciones,

            				'IdUsuario' => $this->session->userdata('IdUsuario')

        					];

					

					if(strlen($FechaEmpresaObservaciones>0)){

						$this->Empresa_model->addObservacion($dataObservacion);

					}

					$result[] = array("IdEmpresa" => $IdEmpresa);//juan

					add_log('Modificacion', 'Empresa', $IdEmpresa);

					echo json_encode($result);

				}

				

			}

		} catch (Exception $e) {

			add_log('Error', 'Empresa', $this->input->post('IdEmpresa'));

            $result[] = array("IdEmpresa" => $e->getMessage());

            echo json_encode($result);

        }	

	}	



	public function getCCT(){

		$this->load->model('CCT_model');

		$var_data= $this->CCT_model->getCCT(999);

		



		$data=array();

		//var_dump($var_data);

		foreach($var_data as $row) {

			$sub_array=array();

			$sub_array[]=$row->CodCCT;

			$sub_array[]=$row->CCT;

			$sub_array[]=$row->mostrar;

				

			$data[]=$sub_array;

		}		

    	echo json_encode($data);

	}



	public function getLocalidadBorrar($CodProvincia,$CodDepartamento){

		$this->load->model('Localidad_model');

		$var_data= $this->Localidad_model->getLocalidad($CodProvincia,$CodDepartamento);

		$data=array();

		$tmp['CodProvincia']=0;

		$tmp['Localidad']='Seleccione';

		$arr[]=$tmp;

				

		foreach($var_data as $row) {

			$tmp['CodLocalidad']=$row->CodLocalidad;

			$tmp['Localidad']=$row->Localidad;

			$arr[]=$tmp;

		}

		echo json_encode($arr);

	}







	public function getEmpresaCUITsucursal(){

		

		if(is_null($_POST['CUIT']) or is_null($_POST['Sucursal'])){$json['valid'] = false;echo json_encode($json);}

		$this->load->model('Empresa_model');

		$cantEmpresas= $this->Empresa_model->getEmpresaCUITsucursal($_POST['CUIT'],$_POST['Sucursal']);

		if($cantEmpresas == 0)

			{

    			$json['valid'] = true;

		}

		else

			{

    		$json['valid'] = false;

			}



			echo json_encode($json);



	}



	public function getDepartamentoborrar($CodProvincia){

		$this->load->model('Departamento_model');

		$var_data= $this->Departamento_model->getDepartamento($CodProvincia);

		$tmp['CodDepartamento']=0;

		$tmp['Departamento']='Seleccione';

		$arr[]=$tmp;

		foreach($var_data as $row) {

				$tmp['CodDepartamento']=$row->CodDepartamento;

				$tmp['Departamento']=$row->Departamento;

				$arr[]=$tmp;

		}		

   		echo json_encode($arr);

	}



	public function eliminarobservacion($IdObservacion){



		if(is_null($this->session->userdata('usuario')))

            redirect('login');

		 try {

            Permission::check(__METHOD__);



        	$result = array();

        	$this->load->model('Empresa_model');

        	$var_data= $this->Empresa_model->eliminarObservacion($IdObservacion,$this->session->userdata('IdUsuario'));

        	echo json_encode($var_data);

        } catch (Exception $e) {

            add_log('EliminarObservEmpresa', 'empresa_observaciones', $IdObservacion);

            

            echo $e->getMessage();

        }	



    }



    public function bajaActivarEmpresa(){

        if(is_null($this->session->userdata('usuario')))

            redirect('login');

        try {

            Permission::check(__METHOD__);

    

            $result = array();

            if($this->input->post())

                {   



                   /* $post['IdUsuarioAlta']=$this->session->userdata('IdUsuario');

                    $post['FechaAlta']=date('Y-m-d H:i');*/



                    $this->load->model('Empresa_model');

                    $post = $this->input->post();



                    unset($post['RazonSocialEmpresaBajaActivar']);

                    

                    $var_data=$this->Empresa_model->bajaActivarEmpresa($post);

                    add_log('bajaActivarEmpresa', 'Empresa', $post['IdEmpresaBajaActivar']);

                    

                    echo json_encode($var_data);

                    //echo $var_data['@ERROR'];

                }

            } catch (Exception $e) {

                $result[] = array("IdEmpresa" => $e->getMessage());

                echo json_encode($result);

            

        }

    }



	





}



/**

 * 

 */

/*class cProvincia extends CI_Controller

{

	

	public function __construct()

    {

        parent::__construct();

        

    }

*/



//}



/*class cProvincia extends CI_Controller

{

	





	public function index(){

		$this->load->model('Provincia_model');



		$Provincia=$this->Provincia_model->getProvincia();

		$data['Provincia']=$Provincia;



		$this->load->view("/layout/header.php");

		$this->load->view("/layout/menu.php");

		$this->load->view("vPrueba",$data);

		$this->load->view("/layout/footer.php");

		

		





    }



    public function guardar(){

    	

		echo($this->input->post('txtName'));

		//$this->load->view("vPrueba");

    }

    





}

*/