

<?php if(Permission::agregar()): ?>
	<div class="btn-group">
		<button type="button" class="btn btn-warning dropdown-toggle" data-toggle="dropdown">Nueva solicitud <span class="caret"></span></button>
		<ul class="dropdown-menu" role="menu">
			<li><a href="<?php echo base_url('index.php/solicitud/add/' . Solicitud::AUDIFONO_1) ?>" class="">Audifonos 1</a></li>
			<li><a href="<?php echo base_url('index.php/solicitud/add/' . Solicitud::AUDIFONO_2) ?>" class="">Audífonos 2</a></li>
			<li><a href="<?php echo base_url('index.php/solicitud/add/' . Solicitud::IMPLANTE_1) ?>" class="">Implantes 1</a></li>
			<li><a href="<?php echo base_url('index.php/solicitud/add/' . Solicitud::IMPLANTE_2) ?>" class="">Implantes 2</a></li>
		</ul>
	</div>
	<br>
	<br>
<?php endif ?>

<?php //pre($invitados); ?>

<?php if($result): ?>
	<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables">
		<thead>
			<tr>
				<th>Id</th>
				<th>Solicitud</th>
				<th>Nro. Documento</th>
				<th>Apellido</th>
				<th>Nombre</th>
				<th>Obra Social</th>
				<th>Estado</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($result as $i => $row): ?>
				<?php //pre($row) ?>
				<?php $IdHipoacusia = getFieldValue($row, 'h.IdHipoacusia'); ?>	
				<tr>
					<td><?php echo getFieldValue($row, 'h.IdHipoacusia') ?>
						<?php if(array_key_exists($IdHipoacusia, $invitados)): ?>
							&nbsp;&nbsp;
							<i class="text-danger fa fa-user help" title="Referente: <?php echo $invitados[$IdHipoacusia]->TitularNombre . '  ' . $invitados[$IdHipoacusia]->TitularApellido ?>"></i>
						<?php endif ?>
						<?php if(getFieldValue($row, 'h.IdHipoacusiaOrigen')): ?>
							&nbsp;
							<i class="text-danger fa fa-copy help" title="Replicado desde solicitud ID#<?php echo getFieldValue($row, 'h.IdHipoacusiaOrigen')?>"></i>
						<?php endif ?>
					</td>
					<td><?php echo getTipoSolicitud(getFieldValue($row, 'h.QueSeAutoriza')) ?></td>
					<td><?php echo getFieldValue($row, 'h.PacienteDocumento') ?></td>
					<td><?php echo getFieldValue($row, 'h.PacienteApellido') ?></td>
					<td><?php echo getFieldValue($row, 'h.PacienteNombre') ?></td>
					<td>
						<?php // http://servicioswww.anses.gob.ar/censite/Index.aspx ?>
						<?php if(getFieldValue($row, 'h.PoseeObraSocial')=='1'): ?>
							<span title="Posee obra social según informe de negativa" class="glyphicon glyphicon-alert text-danger">&nbsp;</span> Sí <?php echo (getFieldValue($row, 'h.FechaPoseeObraSocial') ? ' - ' . getFieldValue($row, 'h.FechaPoseeObraSocial') : '') ?>
						<?php elseif(getFieldValue($row, 'h.PoseeObraSocial')=='0'): ?>
							<span title="No Posee obra social según informe negativa" class="glyphicon glyphicon-ok text-success">&nbsp;</span> No <?php echo (getFieldValue($row, 'h.FechaPoseeObraSocial') ? ' - ' . getFieldValue($row, 'h.FechaPoseeObraSocial') : '') ?>
						<?php endif ?>
					</td>
					<td>
						<span class="badge badge-<?php echo getEstadoColor(strtoupper(getFieldValue($row, 'e.Estado'))) ?>"><?php echo strtoupper(getFieldValue($row, 'e.Estado')) ?></span>
						<?php if(getFieldValue($row, 'h.EstadoDetalle')): ?>
							&nbsp;<a href="" class="js-ver-motivo-rechazo help" title="<?php echo getFieldValue($row, 'h.EstadoDetalle') ?>"><i class="text-danger fa fa-eye"></i></a>
						<?php endif ?>
					</td>
					<td>
						<?php if(Permission::ver($row)): ?>
							<a class="btn btn-primary btn-circle btn-xs btn-outline" title="Ver" href="<?php echo base_url("index.php/solicitud/view/{$IdHipoacusia}") ?>"><i class="fa fa-eye"></i></a>
						<?php endif ?>

						<?php if(Permission::editar($row)): ?>
							<a class="btn btn-primary btn-circle btn-xs btn-outline" title="Editar" href="<?php echo base_url("index.php/solicitud/edit/{$IdHipoacusia}") ?>"><i class="fa fa-pencil"></i></a>
						<?php endif ?>
						
						<?php if(Permission::cursar($row)): ?>
							<a class="btn btn-primary btn-circle btn-xs btn-outline js-confirm" href="<?php echo base_url("index.php/solicitud/cursar/{$IdHipoacusia}") ?>" title="Cursar"><i class="fa fa-play"></i></a>
						<?php endif ?>

						<?php if(Permission::aprobar($row)): ?>
							<a class="btn btn-primary btn-circle btn-xs btn-outline js-confirm" href="<?php echo base_url("index.php/solicitud/validar/{$IdHipoacusia}") ?>" title="Aprobar"><i class="fa fa-check"></i></a>
						<?php endif ?>

						<?php if(Permission::rechazar($row)): ?>
							<a data-rechazo="<?php echo $IdHipoacusia ?>" class="btn btn-primary btn-circle btn-xs btn-outline js-confirm-rechazo" title="Rechazar"><i class="fa fa-times"></i></a>
							<form method="post" data-rechazo="<?php echo $IdHipoacusia ?>" class="d-none" action="<?php echo base_url("index.php/solicitud/rechazar") ?>">
								<input type="hidden" name="IdHipoacusia" value="<?php echo $IdHipoacusia ?>">
								<input type="hidden" name="motivo_rechazo" value="">
							</form>
						<?php endif ?>
						 
						<?php if(Permission::pendiente($row)): ?>
							<a href="<?php echo base_url("index.php/solicitud/compras/pendiente/{$IdHipoacusia}") ?>" class="js-confirm btn btn-primary btn-circle btn-xs btn-outline" title="Pendiente"><i class="fa fa-inbox"></i></a>
						<?php endif ?>

						<?php if(Permission::faltante($row)): ?>
							<a href="<?php echo base_url("index.php/solicitud/compras/faltante/{$IdHipoacusia}") ?>" class="js-confirm btn btn-primary btn-circle btn-xs btn-outline" title="Faltante"><i class="fa fa-meh-o"></i></a>
						<?php endif ?>

						<?php if(Permission::procesado($row)): ?>
							<a href="<?php echo base_url("index.php/solicitud/compras/procesado/{$IdHipoacusia}") ?>" class="js-confirm btn btn-primary btn-circle btn-xs btn-outline" title="Procesado"><i class="fa fa-history"></i></a>
						<?php endif ?>

						<?php if(Permission::entregado($row)): ?>
							<a href="<?php echo base_url("index.php/solicitud/compras/entregado/{$IdHipoacusia}") ?>" class="js-confirm btn btn-primary btn-circle btn-xs btn-outline" title="Entregado"><i class="fa fa-archive"></i></a>
						<?php endif ?>

					</td>
				</tr>
			<?php endforeach ?>
		</tbody>
	</table>
<?php else: ?>
	<p>No hay datos.</p>
<?php endif ?>


