<?php

$mysqli = new mysqli("167.250.5.66", "wdgivvpt_root", "Sincelina6.", "wdgivvpt_smatalujan");
if ($mysqli->connect_errno) {
    echo "Falló la conexión a MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
}


if (!$mysqli->query("DROP PROCEDURE IF EXISTS spListadoEmpresasCantEmpleados") ||
    !$mysqli->query("
    
CREATE PROCEDURE `spListadoEmpresasCantEmpleados`(IN empresaActiva INT, IN bajaAfiliado INT, IN cantAfiliado INT)
BEGIN
    set @sql='SELECT e.IdEmpresa, e.RazonSocial, e.CUIT, ';
    set @sql='SELECT e.IdEmpresa, e.RazonSocial, e.CUIT, ';
    set @sql= CONCAT(@sql,' e.CodProvincia, e.CodDepartamento, e.CodLocalidad, e.Calle, e.NumeroCalle, e.Domicilio, ');
    set @sql= CONCAT(@sql,' e.FechaDeclaracionJurada, e.FechaIngreso, e.CodCCT, CCT, Actividad, Telefono, TelefonoOtro, e.Email, ');
    set @sql= CONCAT(@sql,' e.CodigoPostal, Estudio, EstudioContacto, EstudioHorario, EstudioDireccion, EstudioTelefono, EstudioMail, ');
    set @sql= CONCAT(@sql,' Sucursal, p.provincia as Provincia, d.departamento as Departamento,  l.Localidad as Localidad, ');
    set @sql= CONCAT(@sql,' IF(a.IdEmpresa IS NULL, 0, SUM(CASE WHEN a.fechabaja IS NULL THEN 1 ELSE 0 END)) AS CantAfiliados ');
    set @sql= CONCAT(@sql,' FROM  empresa e LEFT JOIN `afiliado` AS `a` ON `e`.`IdEmpresa`=`a`.`IdEmpresa` ');
    set @sql= CONCAT(@sql,' LEFT JOIN provincia as p ON e.CodProvincia=p.CodProvincia');
    set @sql= CONCAT(@sql,' LEFT JOIN departamento as d ON e.CodProvincia=d.CodProvincia AND e.CodDepartamento=d.CodDepartamento');
    set @sql= CONCAT(@sql,' LEFT JOIN localidad AS l ON e.CodProvincia=l.CodProvincia AND e.CodDepartamento=l.CodDepartamento AND e.Codlocalidad=l.Codlocalidad');
    set @sql= CONCAT(@sql,' LEFT JOIN cct AS cc ON e.CodCCT=cc.CodCCT');
    set @sql= CONCAT(@sql,' WHERE ');
    
    IF empresaActiva=1 THEN 
	    set @sql= CONCAT(@sql,' e.fechabaja IS NULL ');
    ELSE
	    set @sql= CONCAT(@sql,' e.fechabaja IS NOT NULL ');
	END IF;
	
	
	
	set @sql=CONCAT(@sql,' GROUP BY IdEmpresa, RazonSocial, CUIT, CodProvincia, CodDepartamento, CodLocalidad, Calle, NumeroCalle, Domicilio, FechaDeclaracionJurada, FechaIngreso, e.CodCCT, Actividad, Telefono, TelefonoOtro, Email, CodigoPostal, Estudio, EstudioContacto, EstudioHorario, EstudioDireccion, EstudioTelefono, EstudioMail, Sucursal, p.provincia, d.departamento, l.Localidad');

    IF empresaActiva=1 THEN
	    IF cantAfiliado=0 THEN
		    set @sql=CONCAT(@sql,' having CantAfiliados = 0');
	    ELSE
		    set @sql=CONCAT(@sql,' having CantAfiliados >= 0 ');
	    END IF;
    
    END IF;    
    
    set @sql=CONCAT(@sql,' ORDER BY RazonSocial');
 
    PREPARE stmt FROM @sql;
    EXECUTE stmt;
    DEALLOCATE PREPARE stmt;

END;    


    ")) {
    echo "Falló la creación del procedimiento almacenado: (" . $mysqli->errno . ") " . $mysqli->error;
}
?>
